System.Design 1.0.5000.0 2.0.0.0 System.ComponentModel.Design.CollectionEditor

This editor can be used to edit arrays within the design-time environment.

Provides a user interface for editing arrays at design time.

- Constructor
  To be added.

  Initializes a new instance of using the specified data type for the array.

  The data type of the items in the array.
  1.0.5000.0
  2.0.0.0
- Method
  System.Type

  The default implementation returns the item type of the array.

  Gets the data type that this collection is designed to contain.

  A that indicates the data type that the collection is designed to contain.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object[] `` To be added.

  Gets the items in the array.

  An array consisting of the items within the specified array. If the object specified in the parameter is not an array, a new empty object is returned.

  The array from which to retrieve the items. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` To be added.

  Sets the items in the array.

  An instance of the new array. If the object specified by the parameter is not an array, the object specified by the parameter is returned.

  The array to set the items to. The array of objects to set as the items of the array. 1.0.5000.0 2.0.0.0